
var names = ["summary", "details", "chop-query", "home-page",
  		"width", "height", "top", "left"];

// implements all notetaker commands for a given window
function action(task)
{
  var i, params = "";

  if ( task == "notetaker-nav-edit" || task == "notetaker-nav-keywords" )
  {
    var tabs = document.getElementById("dialog.tabs");
    if ( task == "notetaker-nav-edit" )    tabs.selectedIndex = 0;
    if ( task == "notetaker-nav-keywords") tabs.selectedIndex = 1;
  }

  if (task == "notetaker-save")
  {
    var field, widget, note = window.opener.note;

    for (field in note)
    {
	widget = document.getElementById("dialog." + field.replace(/_/,"-"));

	if (!widget) continue;

	if (widget.tagName == "checkbox")
	    note[field] = widget.checked;
	else
	    note[field] = widget.value;
    }
  }

  if (task == "notetaker-load" )
  {
    var field, widget, note = window.opener.note;

    for (field in note)
    {
	widget = document.getElementById("dialog." + field.replace(/_/,"-"));

	if (!widget) continue;	// ignore what we don't know.

	if (widget.tagName == "checkbox")
	    widget.checked = note[field];
	else
	    widget.value = note[field];
    }
    refresh_dialog();
  }

  if (task == "notetaker-close-dialog")
  {
    window.close();
  }
}

function refresh_dialog()
{
  var listbox = window.document.getElementById('dialog.keywords');
  listbox.setAttribute('ref', window.opener.note.url);
  listbox.builder.rebuild();

  var tree = window.document.getElementById('dialog.keywords');
  tree.setAttribute('ref', window.opener.note.url);
  tree.builder.rebuild();
}
